Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.bean
Class DefineTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.bean.DefineTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class DefineTag
extends javax.servlet.jsp.tagext.TagSupport

Define a scripting variable based on the value(s) of the specified bean property.

Version:
  $Revision: 1.1 $ $Date: 2001/09/17 20:08:02 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id` The name of the scripting variable that will be exposed as a page scope attribute.
`protected java.lang.String` | `name` The name of the bean owning the property to be exposed.
`protected java.lang.String` | `property` The name of the property to be retrieved.
`protected java.lang.String` | `scope` The scope within which to search for the specified bean.
`protected java.lang.String` | `toScope` The scope within which the newly defined bean will be creatd.
`protected java.lang.String` | `type` The fully qualified Java class name of the value to be exposed.
`protected java.lang.String` | `value` The (String) value to which the defined bean will be set.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DefineTag()`

Method Summary
`int` | `doStartTag()` Retrieve the required property and expose it as a scripting variable.
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getToScope()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `release()` Release all allocated resources.
`void` | `setId(java.lang.String id)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property)`
`void` | `setScope(java.lang.String scope)`
`void` | `setToScope(java.lang.String toScope)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

  The name of the scripting variable that will be exposed as a page scope attribute.

### name

    protected java.lang.String name

  The name of the bean owning the property to be exposed.

### property

    protected java.lang.String property

  The name of the property to be retrieved.

### scope

    protected java.lang.String scope

  The scope within which to search for the specified bean.

### toScope

    protected java.lang.String toScope

  The scope within which the newly defined bean will be creatd.

### type

    protected java.lang.String type

  The fully qualified Java class name of the value to be exposed.

### value

    protected java.lang.String value

  The (String) value to which the defined bean will be set.

Constructor Detail

### DefineTag

    public DefineTag()

Method Detail

### getId

    public java.lang.String getId()

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`

### setId

    public void setId(java.lang.String id)

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### getToScope

    public java.lang.String getToScope()

### setToScope

    public void setToScope(java.lang.String toScope)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Retrieve the required property and expose it as a scripting variable.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release all allocated resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation